/*****************************************************************************
 * leco                                                                      *
 *****************************************************************************/

/*****************************************************************************
 * File name:     src/matrix.h                                               *
 * Created:       2005-08-07 by Hampa Hug <hampa@hampa.ch>                   *
 * Last modified: 2006-07-08 by Hampa Hug <hampa@hampa.ch>                   *
 * Copyright:     (C) 2005-2006 Hampa Hug <hampa@hampa.ch>                   *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

/* $Id: matrix.h 48 2006-07-08 11:37:23Z hampa $ */


#ifndef LECO_MATRIX_H
#define LECO_MATRIX_H 1


#include "config.h"

#include "lstdint.h"


void mat_solve (uint16_t *mat, uint16_t *x, uint16_t *b, unsigned n);
void mat_invert (uint16_t *dst, const uint16_t *src, unsigned n);
void mat_mul (uint16_t *dst, uint16_t *s1, uint16_t *s2, unsigned n);


#endif
