/*****************************************************************************
 * leco                                                                      *
 *****************************************************************************/

/*****************************************************************************
 * File name:     src/lecenc.h                                               *
 * Created:       2005-08-07 by Hampa Hug <hampa@hampa.ch>                   *
 * Last modified: 2005-08-12 by Hampa Hug <hampa@hampa.ch>                   *
 * Copyright:     (C) 2005 Hampa Hug <hampa@hampa.ch>                        *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

/* $Id: lecenc.h 23 2005-08-12 05:16:51Z hampa $ */


#ifndef LECO_LECENC_H
#define LECO_LECENC_H 1


#include <stdio.h>

#include "lecofile.h"


int lec_enc_header (lec_file_t *lf);
int lec_enc_magic1 (lec_file_t *lf);
int lec_enc_magic2 (lec_file_t *lf);
int lec_enc_magic3 (lec_file_t *lf);
int lec_enc_rednt (lec_file_t *lf);

int lec_encode_fp (FILE *inp, FILE *out, unsigned long long fsize);
int lec_encode (const char *finp, const char *fout);


#endif
